# Buffer Start Page Display

This package is responsible for displaying Start Page previews and also to generate Html for a Start Page

It is used both by backend and frontend.

## Getting Started

```sh
# NPM
npm install @bufferapp/start-page-display

# Yarn
yarn add @bufferapp/start-page-display
```

## Usage

```
import * as display from '@bufferapp/start-page-display/'

const html = display.generateHTML({
    blocks, // GraphQL Start Page blocks
    theme, // GraphQL Start Page themes
    pageId, // Start Page id
})

```

The `generateHTML` method will generate the full html/css of the Start Page based on the parameters provided.


## Publishing a new version
- in the root of `start-page-display`, run `yarn && yarn build` - the build is a bit slow, be patient 💜
- run `yarn publish`